VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::library::item::FileTypes::ChecksumInfo Class Reference

Provides checksums for a File.Info object. More...

List of all members.

## Public Member Functions
| ChecksumInfo ()
| Creates a default new instance.
vmware.content.library.item.FileTypes.ChecksumAlgorithm | GetAlgorithm ()
| The checksum algorithm ( SHA1, MD5) used to calculate the checksum.
void | SetAlgorithm (vmware.content.library.item.FileTypes.ChecksumAlgorithm algorithm)
| The checksum algorithm ( SHA1, MD5) used to calculate the checksum.
string | GetChecksum ()
| The checksum value calculated with File.ChecksumInfo.algorithm .
void | SetChecksum (string checksum)
| The checksum value calculated with File.ChecksumInfo.algorithm .
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

Provides checksums for a File.Info object.

## Constructor & Destructor Documentation

vmware::content::library::item::FileTypes::ChecksumInfo::ChecksumInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::library::item::FileTypes::ChecksumInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::library::item::FileTypes::ChecksumInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::library::item::FileTypes::ChecksumInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::content::library::item::FileTypes::ChecksumInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::library::item::FileTypes::ChecksumInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::library::item::FileTypes::ChecksumInfo::Equals | ( | object | obj | ) | `[inline]`

vmware.content.library.item.FileTypes.ChecksumAlgorithm vmware::content::library::item::FileTypes::ChecksumInfo::GetAlgorithm | ( |  | ) | `[inline]`

The checksum algorithm ( SHA1, MD5) used to calculate the checksum.

string vmware::content::library::item::FileTypes::ChecksumInfo::GetChecksum | ( |  | ) | `[inline]`

The checksum value calculated with File.ChecksumInfo.algorithm .

override int vmware::content::library::item::FileTypes::ChecksumInfo::GetHashCode | ( |  | ) | `[inline]`

void vmware::content::library::item::FileTypes::ChecksumInfo::SetAlgorithm | ( | vmware.content.library.item.FileTypes.ChecksumAlgorithm | algorithm | ) | `[inline]`

The checksum algorithm ( SHA1, MD5) used to calculate the checksum.

void vmware::content::library::item::FileTypes::ChecksumInfo::SetChecksum | ( | string | checksum | ) | `[inline]`

The checksum value calculated with File.ChecksumInfo.algorithm .

override string vmware::content::library::item::FileTypes::ChecksumInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- FileTypes.cs